%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		file-roller
Version:	3.22.3
Release:	%mkrel 1
Summary:	An archive manager for GNOME
Summary(de):	Ein Archiv Manager fr GNOME
Group:		Archiving/Compression
License:	GPLv2+
URL:		http://download.gnome.org/sources/file-roller/
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
#-------------------------------------------
BuildRequires: libatk1.0-devel
BuildRequires: libcairo-devel
BuildRequires: libgdk_pixbuf2.0_0-devel
BuildRequires: libglib2.0-devel
BuildRequires: libgtk+3.0-devel
BuildRequires: libjson-glib-devel
BuildRequires: libmagic-devel
BuildRequires: libnotify-devel
BuildRequires: libpango1.0-devel
BuildRequires: libx11-devel
BuildRequires: libarchive-devel
BuildRequires: libsm-devel
BuildRequires: autoconf
BuildRequires: gnome-common
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: libxml2-utils
#-------------------------------------------
Requires(pre):	GConf2
Requires:	gtk+3.0
Requires:	gsettings-desktop-schemas
Requires:	gnome-themes-standard
Requires:	gnome-icon-theme-symbolic
Requires:	p7zip
Obsoletes:	file-roller-nautilus
Conflicts:	legacy-file-roller

%description
File Roller is an archive manager for the GNOME environment. 
 
This means that you can: 
- create and modify archives 
- view the content of an archive 
- view a file contained in the archive 
- extract files from the archive.

File Roller is only a front-end (a graphical interface) 
to archiving programs like tar and zip. 

The supported file types are :
 * Tar archives uncompressed (.tar) or compressed with
 * gzip (.tar.gz , .tgz)
 * bzip (.tar.bz , .tbz)
 * bzip2 (.tar.bz2 , .tbz2)
 * compress (.tar.Z , .taz)
 * lzop (.tar.lzo , .tzo)
 * lzma (.tar.lzma , .tlz)
 * Zip archives (.zip)
 * Jar archives (.jar , .ear , .war)
 * Lha archives (.lzh)
 * Rar archives (.rar)
 * Single files compressed with: 
   * gzip, 
   * bzip, 
   * bzip2, 
   * compress, 
   * lzop, 
   * lzma
 * ISO images
 * RPM (only read)

%description -l de
File-roller ist ein Archiv-Manager fr die GNOME Umgebung.
 
Dies bedeutet, du kannst: 
- Archive erstellen und ndern
- den Inhalte eines Archives anschauen 
- die enthaltenen Dateien innerhalb des Archives anschauen 
- Dateien des Archivs extrahieren. 

File Roller ist nur eine Oberflche (eine grafische Darstellung) 
fr Programm Archive wie tar und zip. 

Die untersttzten Dateitypen sind dabei:
 * Tar Archive Unkomprimiert (.tar) oder komprimiert mit
 * gzip (.tar.gz , .tgz)
 * bzip (.tar.bz , .tbz)
 * bzip2 (.tar.bz2 , .tbz2)
 * komprimiert (.tar.Z , .taz)
 * lzop (.tar.lzo , .tzo)
 * lzma (.tar.lzma , .tlz)
 * Zip Archive (.zip)
 * Jar Archive (.jar , .ear , .war)
 * Lha Archive (.lzh)
 * Rar Archive (.rar)
 * Einzelne Dateien komprimiert mit:
   * gzip, 
   * bzip, 
   * bzip2, 
   * komprimiert, 
   * lzop, 
   * lzma
 * Iso Abbilder
 * RPM Archive (nur lesen)

%package	doc
Summary:	Documentation for %name
Group:		Documentation
Requires:	%name
BuildArch:	noarch

%description	doc
This package contains the documentation for %name.

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x \
	--disable-scrollkeeper \
	--enable-magic \
	--disable-static \
	--disable-nautilus-actions
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Compression" \
  --remove-not-show-in="KDE" \
  --add-category="X-MandrivaLinux-System-Archiving-Compression" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/org.gnome.FileRoller.desktop

# I hate generic names in menu
perl -pi -e "s|Name=Archive Manager|Name=File Roller|" $RPM_BUILD_ROOT%{_datadir}/applications/org.gnome.FileRoller.desktop

%find_lang %{name} --with-gnome --all-name

# remove unpackaged files
rm -f %{buildroot}%{_libdir}/nautilus/extensions-3.0/*.{la,a}
rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache
rm -rf %{buildroot}/var/scrollkeeper

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README COPYING
%{_bindir}/file-roller
%{_datadir}/file-roller
%{_libexecdir}/file-roller
%{_datadir}/dbus-1/services/org.gnome.FileRoller.service
%{_datadir}/dbus-1/services/org.gnome.FileRoller.ArchiveManager1.service
%{_datadir}/icons/hicolor/*/apps/file-roller*.*
%{_datadir}/glib-2.0/schemas/org.gnome.FileRoller.gschema.xml
%{_datadir}/GConf/gsettings/file-roller.convert
%{_datadir}/appdata/org.gnome.FileRoller.appdata.xml
%{_datadir}/applications/org.gnome.FileRoller.desktop

%files doc
%defattr(-,root,root)
%{_datadir}/help


%changelog
* Sun Nov 04 2018 adrianomorselli <adrianomorselli> 3.22.3-1uplos201818
- Update to latest release in v3.22.x series
